Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network241.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
241.128.0.0
Broadcast address
241.255.255.255
First usable
241.128.0.1
Last usable
241.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F1800000 · Integer 4051697664 to 4060086271
Reverse DNS zones
128.241.in-addr.arpa
129.241.in-addr.arpa
130.241.in-addr.arpa
131.241.in-addr.arpa
132.241.in-addr.arpa
133.241.in-addr.arpa
134.241.in-addr.arpa
135.241.in-addr.arpa
136.241.in-addr.arpa
137.241.in-addr.arpa
138.241.in-addr.arpa
139.241.in-addr.arpa
140.241.in-addr.arpa
141.241.in-addr.arpa
142.241.in-addr.arpa
143.241.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110001.10000000.00000000.00000000241.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11110001.10000000.00000000.00000000241.128.0.0
Broadcast11110001.11111111.11111111.11111111241.255.255.255
Split into smaller subnets/16

241.128.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1241.128.0.0/16241.128.0.1 to 241.128.255.254241.128.255.25565,534
2241.129.0.0/16241.129.0.1 to 241.129.255.254241.129.255.25565,534
3241.130.0.0/16241.130.0.1 to 241.130.255.254241.130.255.25565,534
4241.131.0.0/16241.131.0.1 to 241.131.255.254241.131.255.25565,534
5241.132.0.0/16241.132.0.1 to 241.132.255.254241.132.255.25565,534
6241.133.0.0/16241.133.0.1 to 241.133.255.254241.133.255.25565,534
7241.134.0.0/16241.134.0.1 to 241.134.255.254241.134.255.25565,534
8241.135.0.0/16241.135.0.1 to 241.135.255.254241.135.255.25565,534
9241.136.0.0/16241.136.0.1 to 241.136.255.254241.136.255.25565,534
10241.137.0.0/16241.137.0.1 to 241.137.255.254241.137.255.25565,534
11241.138.0.0/16241.138.0.1 to 241.138.255.254241.138.255.25565,534
12241.139.0.0/16241.139.0.1 to 241.139.255.254241.139.255.25565,534
13241.140.0.0/16241.140.0.1 to 241.140.255.254241.140.255.25565,534
14241.141.0.0/16241.141.0.1 to 241.141.255.254241.141.255.25565,534
15241.142.0.0/16241.142.0.1 to 241.142.255.254241.142.255.25565,534
16241.143.0.0/16241.143.0.1 to 241.143.255.254241.143.255.25565,534
17241.144.0.0/16241.144.0.1 to 241.144.255.254241.144.255.25565,534
18241.145.0.0/16241.145.0.1 to 241.145.255.254241.145.255.25565,534
19241.146.0.0/16241.146.0.1 to 241.146.255.254241.146.255.25565,534
20241.147.0.0/16241.147.0.1 to 241.147.255.254241.147.255.25565,534
21241.148.0.0/16241.148.0.1 to 241.148.255.254241.148.255.25565,534
22241.149.0.0/16241.149.0.1 to 241.149.255.254241.149.255.25565,534
23241.150.0.0/16241.150.0.1 to 241.150.255.254241.150.255.25565,534
24241.151.0.0/16241.151.0.1 to 241.151.255.254241.151.255.25565,534
25241.152.0.0/16241.152.0.1 to 241.152.255.254241.152.255.25565,534
26241.153.0.0/16241.153.0.1 to 241.153.255.254241.153.255.25565,534
27241.154.0.0/16241.154.0.1 to 241.154.255.254241.154.255.25565,534
28241.155.0.0/16241.155.0.1 to 241.155.255.254241.155.255.25565,534
29241.156.0.0/16241.156.0.1 to 241.156.255.254241.156.255.25565,534
30241.157.0.0/16241.157.0.1 to 241.157.255.254241.157.255.25565,534
31241.158.0.0/16241.158.0.1 to 241.158.255.254241.158.255.25565,534
32241.159.0.0/16241.159.0.1 to 241.159.255.254241.159.255.25565,534
33241.160.0.0/16241.160.0.1 to 241.160.255.254241.160.255.25565,534
34241.161.0.0/16241.161.0.1 to 241.161.255.254241.161.255.25565,534
35241.162.0.0/16241.162.0.1 to 241.162.255.254241.162.255.25565,534
36241.163.0.0/16241.163.0.1 to 241.163.255.254241.163.255.25565,534
37241.164.0.0/16241.164.0.1 to 241.164.255.254241.164.255.25565,534
38241.165.0.0/16241.165.0.1 to 241.165.255.254241.165.255.25565,534
39241.166.0.0/16241.166.0.1 to 241.166.255.254241.166.255.25565,534
40241.167.0.0/16241.167.0.1 to 241.167.255.254241.167.255.25565,534
41241.168.0.0/16241.168.0.1 to 241.168.255.254241.168.255.25565,534
42241.169.0.0/16241.169.0.1 to 241.169.255.254241.169.255.25565,534
43241.170.0.0/16241.170.0.1 to 241.170.255.254241.170.255.25565,534
44241.171.0.0/16241.171.0.1 to 241.171.255.254241.171.255.25565,534
45241.172.0.0/16241.172.0.1 to 241.172.255.254241.172.255.25565,534
46241.173.0.0/16241.173.0.1 to 241.173.255.254241.173.255.25565,534
47241.174.0.0/16241.174.0.1 to 241.174.255.254241.174.255.25565,534
48241.175.0.0/16241.175.0.1 to 241.175.255.254241.175.255.25565,534
49241.176.0.0/16241.176.0.1 to 241.176.255.254241.176.255.25565,534
50241.177.0.0/16241.177.0.1 to 241.177.255.254241.177.255.25565,534
51241.178.0.0/16241.178.0.1 to 241.178.255.254241.178.255.25565,534
52241.179.0.0/16241.179.0.1 to 241.179.255.254241.179.255.25565,534
53241.180.0.0/16241.180.0.1 to 241.180.255.254241.180.255.25565,534
54241.181.0.0/16241.181.0.1 to 241.181.255.254241.181.255.25565,534
55241.182.0.0/16241.182.0.1 to 241.182.255.254241.182.255.25565,534
56241.183.0.0/16241.183.0.1 to 241.183.255.254241.183.255.25565,534
57241.184.0.0/16241.184.0.1 to 241.184.255.254241.184.255.25565,534
58241.185.0.0/16241.185.0.1 to 241.185.255.254241.185.255.25565,534
59241.186.0.0/16241.186.0.1 to 241.186.255.254241.186.255.25565,534
60241.187.0.0/16241.187.0.1 to 241.187.255.254241.187.255.25565,534
61241.188.0.0/16241.188.0.1 to 241.188.255.254241.188.255.25565,534
62241.189.0.0/16241.189.0.1 to 241.189.255.254241.189.255.25565,534
63241.190.0.0/16241.190.0.1 to 241.190.255.254241.190.255.25565,534
64241.191.0.0/16241.191.0.1 to 241.191.255.254241.191.255.25565,534
65241.192.0.0/16241.192.0.1 to 241.192.255.254241.192.255.25565,534
66241.193.0.0/16241.193.0.1 to 241.193.255.254241.193.255.25565,534
67241.194.0.0/16241.194.0.1 to 241.194.255.254241.194.255.25565,534
68241.195.0.0/16241.195.0.1 to 241.195.255.254241.195.255.25565,534
69241.196.0.0/16241.196.0.1 to 241.196.255.254241.196.255.25565,534
70241.197.0.0/16241.197.0.1 to 241.197.255.254241.197.255.25565,534
71241.198.0.0/16241.198.0.1 to 241.198.255.254241.198.255.25565,534
72241.199.0.0/16241.199.0.1 to 241.199.255.254241.199.255.25565,534
73241.200.0.0/16241.200.0.1 to 241.200.255.254241.200.255.25565,534
74241.201.0.0/16241.201.0.1 to 241.201.255.254241.201.255.25565,534
75241.202.0.0/16241.202.0.1 to 241.202.255.254241.202.255.25565,534
76241.203.0.0/16241.203.0.1 to 241.203.255.254241.203.255.25565,534
77241.204.0.0/16241.204.0.1 to 241.204.255.254241.204.255.25565,534
78241.205.0.0/16241.205.0.1 to 241.205.255.254241.205.255.25565,534
79241.206.0.0/16241.206.0.1 to 241.206.255.254241.206.255.25565,534
80241.207.0.0/16241.207.0.1 to 241.207.255.254241.207.255.25565,534
81241.208.0.0/16241.208.0.1 to 241.208.255.254241.208.255.25565,534
82241.209.0.0/16241.209.0.1 to 241.209.255.254241.209.255.25565,534
83241.210.0.0/16241.210.0.1 to 241.210.255.254241.210.255.25565,534
84241.211.0.0/16241.211.0.1 to 241.211.255.254241.211.255.25565,534
85241.212.0.0/16241.212.0.1 to 241.212.255.254241.212.255.25565,534
86241.213.0.0/16241.213.0.1 to 241.213.255.254241.213.255.25565,534
87241.214.0.0/16241.214.0.1 to 241.214.255.254241.214.255.25565,534
88241.215.0.0/16241.215.0.1 to 241.215.255.254241.215.255.25565,534
89241.216.0.0/16241.216.0.1 to 241.216.255.254241.216.255.25565,534
90241.217.0.0/16241.217.0.1 to 241.217.255.254241.217.255.25565,534
91241.218.0.0/16241.218.0.1 to 241.218.255.254241.218.255.25565,534
92241.219.0.0/16241.219.0.1 to 241.219.255.254241.219.255.25565,534
93241.220.0.0/16241.220.0.1 to 241.220.255.254241.220.255.25565,534
94241.221.0.0/16241.221.0.1 to 241.221.255.254241.221.255.25565,534
95241.222.0.0/16241.222.0.1 to 241.222.255.254241.222.255.25565,534
96241.223.0.0/16241.223.0.1 to 241.223.255.254241.223.255.25565,534
97241.224.0.0/16241.224.0.1 to 241.224.255.254241.224.255.25565,534
98241.225.0.0/16241.225.0.1 to 241.225.255.254241.225.255.25565,534
99241.226.0.0/16241.226.0.1 to 241.226.255.254241.226.255.25565,534
100241.227.0.0/16241.227.0.1 to 241.227.255.254241.227.255.25565,534
101241.228.0.0/16241.228.0.1 to 241.228.255.254241.228.255.25565,534
102241.229.0.0/16241.229.0.1 to 241.229.255.254241.229.255.25565,534
103241.230.0.0/16241.230.0.1 to 241.230.255.254241.230.255.25565,534
104241.231.0.0/16241.231.0.1 to 241.231.255.254241.231.255.25565,534
105241.232.0.0/16241.232.0.1 to 241.232.255.254241.232.255.25565,534
106241.233.0.0/16241.233.0.1 to 241.233.255.254241.233.255.25565,534
107241.234.0.0/16241.234.0.1 to 241.234.255.254241.234.255.25565,534
108241.235.0.0/16241.235.0.1 to 241.235.255.254241.235.255.25565,534
109241.236.0.0/16241.236.0.1 to 241.236.255.254241.236.255.25565,534
110241.237.0.0/16241.237.0.1 to 241.237.255.254241.237.255.25565,534
111241.238.0.0/16241.238.0.1 to 241.238.255.254241.238.255.25565,534
112241.239.0.0/16241.239.0.1 to 241.239.255.254241.239.255.25565,534
113241.240.0.0/16241.240.0.1 to 241.240.255.254241.240.255.25565,534
114241.241.0.0/16241.241.0.1 to 241.241.255.254241.241.255.25565,534
115241.242.0.0/16241.242.0.1 to 241.242.255.254241.242.255.25565,534
116241.243.0.0/16241.243.0.1 to 241.243.255.254241.243.255.25565,534
117241.244.0.0/16241.244.0.1 to 241.244.255.254241.244.255.25565,534
118241.245.0.0/16241.245.0.1 to 241.245.255.254241.245.255.25565,534
119241.246.0.0/16241.246.0.1 to 241.246.255.254241.246.255.25565,534
120241.247.0.0/16241.247.0.1 to 241.247.255.254241.247.255.25565,534
121241.248.0.0/16241.248.0.1 to 241.248.255.254241.248.255.25565,534
122241.249.0.0/16241.249.0.1 to 241.249.255.254241.249.255.25565,534
123241.250.0.0/16241.250.0.1 to 241.250.255.254241.250.255.25565,534
124241.251.0.0/16241.251.0.1 to 241.251.255.254241.251.255.25565,534
125241.252.0.0/16241.252.0.1 to 241.252.255.254241.252.255.25565,534
126241.253.0.0/16241.253.0.1 to 241.253.255.254241.253.255.25565,534
127241.254.0.0/16241.254.0.1 to 241.254.255.254241.254.255.25565,534
128241.255.0.0/16241.255.0.1 to 241.255.255.254241.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses